Next Commerce
API ReferenceMetadata

Metadata Partial Update

Partial update an existing metadata definition.

PATCH
/metadata/{id}/

Authorization

oauth2 metadata:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: metadata:write

Path Parameters

id*integer

A unique integer value identifying this definition.

Header Parameters

X-29next-API-Version*string
Default"2024-04-01"
Value in"2024-04-01"

Request Body

Response Body

application/json

curl -X PATCH "https://example.com/metadata/0/" \  -H "X-29next-API-Version: 2024-04-01" \  -H "Content-Type: application/json" \  -d '{}'
{
  "created_at": "2019-08-24T14:15:22Z",
  "enable_export": true,
  "enable_filter": true,
  "id": 0,
  "key": "string",
  "name": "string",
  "object": "attribution",
  "type": "text",
  "updated_at": "2019-08-24T14:15:22Z",
  "validations": [
    {
      "type": "maximum_length",
      "value": "string"
    }
  ]
}